<?
//======================================//
$visit=mysql_fetch_array(mysql_query("SELECT * FROM kolhoz_config"));
$visit_array=explode(',',$visit['visittur']);
$visit_num=count($visit_array);
$visit_numz=$visit_num+1;
$i=0;
$visit_prov=0;
while(true)
{
if($i==$visit_numz){break;}
if($visit_array[$i]==$ku['id']){$visit_prov=1; break;}
$i++;
}
if($visit_prov==0){
$visit_array[$visit_numz]=$ku['id'];
mysql_query("UPDATE kolhoz_config SET visittur='".implode(',',$visit_array)."'");
}
//======================================//
if($_SESSION['zoloto']==1)
{
msg_game("Успешно!");
unset($_SESSION['zoloto']);
}
if($_SESSION['zoloto']==2)
{
msg_game("Изменения приняты!");
unset($_SESSION['zoloto']);
}
if(isset($_GET['activ']))
{
mysql_query("UPDATE `kolhoz_user` SET `tuenir_on` = '".($ku['tuenir_on']!=1?"1":"0")."' WHERE `id` = '$ku[id]'");
$_SESSION['zoloto']=2;
header("Location:?tournament");
}
if(isset($_GET['banki']) && isset($_GET['ok']))
{
mysql_query("UPDATE `kolhoz_user` SET `turnir` = '0'");
$_SESSION['zoloto']=1;
header("Location:?tournament");
}
elseif(isset($_GET['banki']) && $ku['status']==3)
{
echo '<div class="event"><h1>Подтверждение</h1></div>
<div class="content"><ul class="block">
<div class="feedback">
<li><span class="title">Обнулить золото?</span></li>
<li class="pt"><img alt="" width="16" height="16" src="images/icons/tick.png"> <a href="?tournament&banki&ok"><span> Да, обнулить</span></a></li>
<li><img alt="" width="16" height="16" src="images/icons/cross.png"> <a href="?admin=actions"><span> Нет, отказываюсь</span></a></li></ul>';
include_once 'inc/foot.php';
exit;
}
echo "<div class='event'><h1>Турнир</h1></div>";
echo "<div class='content'>";
echo "<div class='feedback'>";

?>

<div class="block minor"><li><img width="16" height="16" src="images/icons/rating.png" alt="o"> Турнир среди фермеров проводится каждую неделю.<br> Чтобы принять в нем участие 
и выйграть его, Вы должны набрать больше всех золота <img width="20" height="20" src="images/turnir.png">.<div> Золото, можно найти на любых действиях игры. ( от 1 до 10)<br>
По итогам Турнира среди ферверов, 10 первых мест получают <img alt="o" width="16" height="16" src="/images/icons/present.png">призы.<br></li><div></div></div>
<div class="block minor">Распределение <img alt="o" width="16" height="16" src="images/icons/present.png">призов:<br>

<b>1 место</b>: <img alt="o" width="16" height="16" src="images/icons/ruby.png">5000 рубинов + <img alt="o" width="16" height="16" src="images/icons/pkey.png">2 ключа<br>
<b>2 место</b>: <img alt="o" width="16" height="16" src="images/icons/ruby.png">4500 рубинов + <img alt="o" width="16" height="16" src="images/icons/pkey.png">1 ключ<br>
<b>3 место</b>: <img alt="o" width="16" height="16" src="images/icons/ruby.png">4000 рубинов<br>
<b>4-5 место</b>: <img alt="o" width="16" height="16" src="images/icons/ruby.png">2500 рубинов<br>
<b>6-8 место</b>: <img alt="o" width="16" height="16" src="images/icons/ruby.png">1000 рубинов<br>
<b>9-10 место</b>: <img alt="o" width="16" height="16" src="images/icons/ruby.png">500 рубинов<br>
<br>

  </div>
  
 <div class="block minor"> <span class="title"><b>Важно</b></span>: после подведения каждого Турнира среди кооперативов, собранное <img width="20" height="20" src="images/turnir.png"> Золото обнуляется</div>
<?
$tourn=mysql_query("SELECT * FROM `kolhoz_level`");
$posts=mysql_fetch_array($tourn);
echo "<div class='block minor'>Итоги Тунира будут подведены: <span class='title'><b>".vremja($config['timetur'])."</b></span> по времени игры.</div>";
echo '</div>';
if(isset($_GET['change_time']) && $ku['status']==3)
{
$tourn=mysql_query("SELECT * FROM `kolhoz_level`");
if($_GET['change_time']=="ok")
{
mysql_query("UPDATE `kolhoz_level` SET `time_tourn` = '".$_POST[tourn]."'");
mysql_query("UPDATE `kolhoz_config` SET `visittur` = ''");
header("Location:?tournament");
}
else
{
error_reporting(E_ALL^E_NOTICE);
$tour=mysql_query("SELECT * FROM `kolhoz_level`");
$poss=mysql_fetch_array($tour);
echo '<form action="http://'.$_SERVER[HTTP_HOST].'/?tournament&change_time=ok" method="post" name="them"><div class="block"><span class="title">Время окончание</span><input name="tourn" value=""></span>
<div><input type="submit" value="Применить"></form></div></div>';
}
}
if($ku['tuenir_on']==1)echo "<div class='block title'>Вы участвуете в турнире!</div>";
echo "<div class='block'>";
echo "<div class='feedback'>";
echo "<li class='pt'>";
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `tuenir_on` = '1'"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$num=($page-1)*$set['p_str'];

$q=mysql_query("SELECT * FROM `kolhoz_user` WHERE `tuenir_on` = '1' ORDER BY `turnir` DESC, `rating` DESC LIMIT $start, $set[p_str]");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
$num++;
echo "<li>
<span class='minor'><span>$num.</span></span>";
echo "".on_k($post['id'])."";
echo " <a class='' href='?user=$post[id]'><span>".nc($post['id'])."</span></a>";
echo " <span class='epic'> <img width='20' height='20' src='images/turnir.png'>".rating($post['turnir'])."</span></span></li>";
}
echo "</ul><li class='pt'>";
if ($k_page>1)str("?tournament&",$k_page,$page); // Вывод страниц
echo "<br><div><a class='title' href='?tournament&activ'>".($ku['tuenir_on']!=1?"Участвовать в турнире":"Не участвовать в турнире")."</a></div>";
/*
if($ku['status']==3)echo "<div><a class='title' href='?tournament&change_time'> Сменить дату</a></div>";
if($ku['status']==3)echo "<div><a class='title' href='?tournament&banki'> Обнулить турнир</a></div>";
*/

echo "</div></li>";
include_once 'inc/foot.php';
?>